summaryrefslogtreecommitdiff
path: root/tests/runtest.sh
diff options
context:
space:
mode:
authorHyeongseok Oh <hseok82.oh@samsung.com>2017-08-30 17:40:23 +0900
committerHyeongseok Oh <hseok82.oh@samsung.com>2017-08-30 17:40:23 +0900
commit4c5883a3d448b2c0fc5b5885b0e9196f11f39103 (patch)
tree10073edda539011d35a4791f234eb29be2936252 /tests/runtest.sh
parent434e1955d5b211e1953e074f2314bf7d05d03053 (diff)
downloadcoreclr-4c5883a3d448b2c0fc5b5885b0e9196f11f39103.tar.gz
coreclr-4c5883a3d448b2c0fc5b5885b0e9196f11f39103.tar.bz2
coreclr-4c5883a3d448b2c0fc5b5885b0e9196f11f39103.zip
Use --xunitOutputPath option in runtest.sh
Fix to be used --xunitOutputPath in runtest.sh This option was useless because xunitOutputPath was always set as default
Diffstat (limited to 'tests/runtest.sh')
-rwxr-xr-xtests/runtest.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/tests/runtest.sh b/tests/runtest.sh
index 8148f25724..fdc067eb2d 100755
--- a/tests/runtest.sh
+++ b/tests/runtest.sh
@@ -123,7 +123,12 @@ case $OSName in
esac
function xunit_output_begin {
- xunitOutputPath=$testRootDir/coreclrtests.xml
+ if [ -z "$xunitOutputPath" ]; then
+ xunitOutputPath=$testRootDir/coreclrtests.xml
+ fi
+ if ! [ -e $(basename "$xunitOutputPath") ]; then
+ xunitOutputPath=$testRootDir/coreclrtests.xml
+ fi
xunitTestOutputPath=${xunitOutputPath}.test
if [ -e "$xunitOutputPath" ]; then
rm -f -r "$xunitOutputPath"